// Biblioteka zawierajca zawiera obsug wywietlacza 7seg LED.
	//aktualnie obslugiwane sa tylko cyfry
// Autor : Mariusz Dzibowski
// Data utworzenia : 17.05.2011
// Data ostatniej modyfikacji : 17.05.2011

#include "lib_led_display.h"
#include <avr/io.h>
#include "lib_basic.h"

unsigned char tablica_cyfr[12] = {0xFC, 0x60, 0xDA, 0xF2, 0x66, 0xB6, 0xBE, 0xE0, 0xFE, 0xF6, 0x02, 0x90};

void Displey_Init(void)
{
	PIN_OUTPUT(LED_PORT_A,LED_PIN_A);
	PIN_OUTPUT(LED_PORT_B,LED_PIN_B);
	PIN_OUTPUT(LED_PORT_C,LED_PIN_C);
	PIN_OUTPUT(LED_PORT_D,LED_PIN_D);
	PIN_OUTPUT(LED_PORT_E,LED_PIN_E);
	PIN_OUTPUT(LED_PORT_F,LED_PIN_F);
	PIN_OUTPUT(LED_PORT_G,LED_PIN_G);

	PIN_OUTPUT(LED_PORT_1,LED_PIN_1);
	PIN_OUTPUT(LED_PORT_2,LED_PIN_2);
}

void Diplay_LED(char znak, unsigned char number)
{
	
	BIT_CLR(PORT(LED_PORT_1),PIN(LED_PIN_1));
	BIT_CLR(PORT(LED_PORT_2),PIN(LED_PIN_2));

	//segment A
	if((tablica_cyfr[znak] & 0x80) != 0)
		{BIT_CLR(PORT(LED_PORT_A),PIN(LED_PIN_A));}
	else
		{BIT_SET(PORT(LED_PORT_A),PIN(LED_PIN_A));}
	//segment B
	if((tablica_cyfr[znak] & 0x40) != 0)
		{BIT_CLR(PORT(LED_PORT_B),PIN(LED_PIN_B));}
	else
		{BIT_SET(PORT(LED_PORT_B),PIN(LED_PIN_B));}
	//segment C
	if((tablica_cyfr[znak] & 0x20) != 0)
		{BIT_CLR(PORT(LED_PORT_C),PIN(LED_PIN_C));}
	else
		{BIT_SET(PORT(LED_PORT_C),PIN(LED_PIN_C));}
	//segment D
	if((tablica_cyfr[znak] & 0x10) != 0)
		{BIT_CLR(PORT(LED_PORT_D),PIN(LED_PIN_D));}
	else
		{BIT_SET(PORT(LED_PORT_D),PIN(LED_PIN_D));}
	//segment E
	if((tablica_cyfr[znak] & 0x08) != 0)
		{BIT_CLR(PORT(LED_PORT_E),PIN(LED_PIN_E));}
	else
		{BIT_SET(PORT(LED_PORT_E),PIN(LED_PIN_E));}
	//segment F
	if((tablica_cyfr[znak] & 0x04) != 0)
		{BIT_CLR(PORT(LED_PORT_F),PIN(LED_PIN_F));}
	else
		{BIT_SET(PORT(LED_PORT_F),PIN(LED_PIN_F));}
	//segment G
	if((tablica_cyfr[znak] & 0x02) != 0)
		{BIT_CLR(PORT(LED_PORT_G),PIN(LED_PIN_G));}
	else
		{BIT_SET(PORT(LED_PORT_G),PIN(LED_PIN_G));}

	if(number == 1)
		{BIT_SET(PORT(LED_PORT_1),PIN(LED_PIN_1));}
	else if(number == 2)
		{BIT_SET(PORT(LED_PORT_2),PIN(LED_PIN_2));}
			
}

void Diplay_LED_Off(void)
{
	BIT_CLR(PORT(LED_PORT_1),PIN(LED_PIN_1));
	BIT_CLR(PORT(LED_PORT_2),PIN(LED_PIN_2));
}
