// Biblioteka zawierajca stworzone przez autora najprostrze definicje
//  przydatne w kadym programie.
// Autor : Mariusz Dzibowski
// Data utworzenia : 09.09.2008

#ifndef _LIB_BASIC_H_
#define _LIB_BASIC_H_

// oglnie ponisze dyfinicje tworz jedn cao umoliwiajc
	// odwoanie si do PORT, PIN lub DDR przy pomocy zmiennych
#define STRING_CONNECT(x,y) (x##y)
#define PORT(x) STRING_CONNECT(PORT,x)
#define PIN(x) STRING_CONNECT(PIN,x)
#define DDR(x) STRING_CONNECT(DDR,x)

//ustawia Y bit na X jako '1', X jest pen nazw portu/portu kierunkowego/zmiennej
#define BIT_SET(x,y) (x = (x | (1 << y)))

//ustawia Y bit na X jako '0', X jest pen nazw portu/portu kierunkowego/zmiennej
#define BIT_CLR(x,y) (x = (x & ~(1 << y)))

//#define S_NEG(x,y) (x = (((x & (0x01 << y))==0) ?(S_JEDEN(x,y)):(S_ZERO(x,y))))

//zanegowanie Y bit na X, X jest pen nazw portu/portu kierunkowego/zmiennej
#define BIT_NEG(x,y) if(((x&(0x01<<y))==0)){BIT_SET(x,y);}else{BIT_CLR(x,y);}

//ustawienie pinu jako wyjscie
#define PIN_OUTPUT(x,y) (DDR(x) = (DDR(x) | (1 << y)))

//ustawienie pinu jako wejscie
#define PIN_INPUT(x,y) (DDR(x) = (DDR(x) & ~(1 << y)))

#endif /* _LIB_BASIC_H_ */
